## gate.gui
Class LogArea.LogAreaOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--gate.gui.LogArea.LogAreaOutputStream

Enclosing class:
  LogArea

class LogArea.LogAreaOutputStream
extends OutputStream

Inner class that defines the behaviour of an OutputStream that writes to the LogArea.

Field Summary
`private boolean` `isErr` This field dictates the style on how to write
`private Style` `style` Char style

Constructor Summary
`LogArea.LogAreaOutputStream(boolean anIsErr)` Constructs an Out or Err LogAreaOutputStream

Method Summary
`void` `write(byte[] data, int offset, int length)` Writes an array of bytes into the LogArea, using the style specified in constructor.
`void` `write(int charCode)` Writes an int which must be a the code of a char, into the LogArea, using the style specified in constructor.

Methods inherited from class java.io.OutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### isErr

    private boolean isErr

  This field dictates the style on how to write

### style

    private Style style

  Char style

Constructor Detail

### LogArea.LogAreaOutputStream

    public LogArea.LogAreaOutputStream(boolean anIsErr)

  Constructs an Out or Err LogAreaOutputStream

Method Detail

### write

    public void write(int charCode)

  Writes an int which must be a the code of a char, into the LogArea, using the style specified in constructor. The int is downcast to a byte.
  Overrides:
    `write` in class `OutputStream`

### write

    public void write(byte[] data,
                      int offset,
                      int length)

  Writes an array of bytes into the LogArea, using the style specified in constructor.
  Overrides:
    `write` in class `OutputStream`